Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes
Class ChannelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.catalina.tribes.ChannelException

All Implemented Interfaces:
  Serializable

    public class ChannelException

extends Exception

Channel Exception
A channel exception is thrown when an internal error happens somewhere in the channel.
When a global error happens, the cause can be retrieved using `getCause()`
If an application is sending a message and some of the recipients fail to receive it, the application can retrieve what recipients failed by using the `getFaultyMembers()` method. This way, an application will always know if a message was delivered successfully or not.

Version:
  $Id: ChannelException.java 1038846 2010-11-24 22:08:38Z markt $
Author:
  Filip Hanik
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ChannelException.FaultyMember` Title: FaultyMember class Description: Represent a failure to a specific member when a message was sent to more than one member

Field Summary
`protected static ChannelException.FaultyMember[]` | `EMPTY_LIST` Empty list to avoid reinstatiating lists

Constructor Summary
`ChannelException()` Constructor, creates a ChannelException
`ChannelException(String message)` Constructor, creates a ChannelException with an error message
`ChannelException(String message, Throwable cause)` Constructor, creates a ChannelException with an error message and a cause
`ChannelException(Throwable cause)` Constructor, creates a ChannelException with a cause

Method Summary
`boolean` | `addFaultyMember(ChannelException.FaultyMember mbr)` Adds a faulty member
`int` | `addFaultyMember(ChannelException.FaultyMember[] mbrs)` Adds a list of faulty members
`boolean` | `addFaultyMember(Member mbr, Exception x)` Adds a faulty member, and the reason the member failed.
`ChannelException.FaultyMember[]` | `getFaultyMembers()` Returns an array of members that failed and the reason they failed.
`String` | `getMessage()` Returns the message for this exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_LIST

    protected static final ChannelException.FaultyMember[] EMPTY_LIST

  Empty list to avoid reinstatiating lists

Constructor Detail

### ChannelException

    public ChannelException()

  Constructor, creates a ChannelException

  See Also:
    `Exception.Exception()`

### ChannelException

    public ChannelException(String message)

  Constructor, creates a ChannelException with an error message

  See Also:
    `Exception.Exception(String)`

### ChannelException

    public ChannelException(String message,
                            Throwable cause)

  Constructor, creates a ChannelException with an error message and a cause

  Parameters:
    `message` - String
    `cause` - Throwable
  See Also:
    `Exception.Exception(String,Throwable)`

### ChannelException

    public ChannelException(Throwable cause)

  Constructor, creates a ChannelException with a cause

  Parameters:
    `cause` - Throwable
  See Also:
    `Exception.Exception(Throwable)`

Method Detail

### getMessage

    public String getMessage()

  Returns the message for this exception

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    String
  See Also:
    `Throwable.getMessage()`

### addFaultyMember

    public boolean addFaultyMember(Member mbr,
                                   Exception x)

  Adds a faulty member, and the reason the member failed.

  Parameters:
    `mbr` - Member
    `x` - Exception

### addFaultyMember

    public int addFaultyMember(ChannelException.FaultyMember[] mbrs)

  Adds a list of faulty members

  Parameters:
    `mbrs` - FaultyMember[]

### addFaultyMember

    public boolean addFaultyMember(ChannelException.FaultyMember mbr)

  Adds a faulty member

  Parameters:
    `mbr` - FaultyMember

### getFaultyMembers

    public ChannelException.FaultyMember[] getFaultyMembers()

  Returns an array of members that failed and the reason they failed.

  Returns:
    FaultyMember[]

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.